Developer Network Home - Help

My Web Documentation for Yahoo! Search Web Services

Version 1My Web 2.0 Web Services: Related Tags

Examining Tag Relationships

The Related Tags service lets you find tags that appear together on URLs. For example, if a URL is tagged with 'yahoo' and 'music', a search for the tag 'yahoo' will return 'music' as a related tag.

More My Web 2.0 Web services.

Support & Community

The My Web 2.0 Related Tags service is discussed on the yws-search-general mailing list.

Request URL

http://search.yahooapis.com/MyWebService/V1/relatedTags

Request Parameters

See information on constructing REST queries

Parameter Value Description
appid string (required) The application ID. See Application IDs for more information.
tag string (required) The tag(s) to search on. Multiple tags may be specified (tag=tag1&tag=tag2), in which case the resulting tags will be related to the union of them.
yahooid string A Yahoo! username. If one is specified, only tags by that user will be examined.
sort popularity (default), tag, or date The field by which the results should be sorted.
reverse_sort 0 (default) or 1 If set to 1, reverses the sort order. This will not have any effect on a popularity sort.
results integer: default 10, max 50 The number of results to return.
start integer: default 1 The starting result position to return (1-based). The finishing position (start + results - 1) cannot exceed 1000.
output string: xml (default), json, php The format for the output. If json is requested, the results will be returned in JSON format. If php is requested, the results will be returned in Serialized PHP format.
callback string The name of the callback function to wrap around the JSON data. The following characters are allowed: A-Z a-z 0-9 . [] and _. If output=json has not been requested, this parameter has no effect. More information on the callback can be found in the Yahoo! Developer Network JSON Documentation.

Sample Request Url: http://search.yahooapis.com/MyWebService/V1/relatedTags?appid=YahooDemo&tag=yahoo&results=2

Response Fields

The schema document for this service response is located at http://search.yahooapis.com/MyWebService/V1/relatedTagsResponse.xsd

Field Description
ResultSet Contains all of the query responses. Has attributes:

  • totalResultsAvailable: The number of query matches in the database.
  • totalResultsReturned: The number of query matches returned. This may be lower than the number of results requested if there were fewer total results available.
  • firstResultPosition: The position of the first result in the overall search.

Result Contains each individual response.
Tag The value of the tag.
Frequency The number of URLs that contain the tag(s) requested and this resulting tag.
Date The last time this tag was used.

Sample Response

The following is a sample response for tags related to the tag yahoo:

Rate Limit

The Related Tags service is limited to 5,000 queries per IP address per day. See information on rate limiting and our Usage Policy to learn about acceptable uses and how to request additional queries.

Errors

The Related Tags service returns the standard errors. There are no service-specific errors.

Developer-Contributed Notes:

If you'd like to submit a new note, please log in. For more information, read How This Works.
No notes found. Care to contribute something?

Copyright © 2008 Yahoo! Inc. All rights reserved.

Privacy Policy - Terms of Service - Copyright Policy - Job Openings